Bug 68546 - CONFIGURATION: Menu bar font color is wrong with Persona
Summary: CONFIGURATION: Menu bar font color is wrong with Persona
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.3.0
Keywords:
: 71635 73329 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-08-25 20:15 UTC by Chris Estrada
Modified: 2014-04-07 14:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Captura de pantalla de Writer con la tipografía de la barra de menú en color blanco y con evidencia de que al pasar el mouse por la misma, la tipografía cambia a negro (879.67 KB, image/jpeg)
2013-08-25 20:15 UTC, Chris Estrada
Details
Comparison with firefox on gnome (152.34 KB, image/png)
2014-03-20 12:37 UTC, Isamu Mogi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Estrada 2013-08-25 20:15:58 UTC
Created attachment 84618 [details]
Captura de pantalla de Writer con la tipografía de la barra de menú en color blanco y con evidencia de que al pasar el mouse por la misma, la tipografía cambia a negro

Problem description: 
Al abrir Writer, la barra de menú aparece en ocasiones con una tipografía blanca, cuando debería ser siempre negra. La tipografía cambia a color negro cuando se pasa el cursor del mouse por encima (ver captura de pantalla adjunta).

Steps to reproduce:
1. Abrir el programa.
2. Aparece la tipografía de la barra de menú en color blanco.

Current behavior:
La tipografía de la barra de menú aparece en color blanco.

Expected behavior:
La tipografía de la barra de menú debería aparecer en color negro.
              
Operating System: Windows 7
Version: 4.1.0.4 release
Comment 1 bfoman (inactive) 2013-08-26 20:02:24 UTC
Gracias por el reporte.
El sistema funciona exclusivamente en inglés. Si tiene problemas con el idioma, o si el sistema le resulta complicado, pida ayuda por ejemplo en las listas de correo: https://wiki.documentfoundation.org/Local_Mailing_Lists#Spanish

Cómo reportar los problemas - https://wiki.documentfoundation.org/BugReport/es

[Spanish translation copied from earlier ES entries and wiki page above]
Comment 2 Adolfo Jayme 2013-08-26 20:25:33 UTC
Hi Chris,

could you please link the Firefox Theme you’re using? Thanks.

(¿Puedes adjuntar un enlace hacia el tema de Firefox que estás utilizando? Gracias.)
Comment 3 Adolfo Jayme 2013-11-17 14:45:53 UTC
*** Bug 71635 has been marked as a duplicate of this bug. ***
Comment 4 Paul 2013-11-17 16:39:55 UTC
I don't believe this to be a bug.

As outlined in https://bugs.freedesktop.org/show_bug.cgi?id=71635#c11

LibreOffice is now (correctly) using the Foreground colour from the (Firefox) Persona for the MenuBar Text.


Take this Persona for instance:
https://addons.mozilla.org/en-US/firefox/addon/blue-crust/

After installation in LO it sets the text colour to #6e1313 (a burgundy colour)

<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="PersonaSettings" oor:op="fuse"><value>header.png;footer.png;#6e1313;#None</value></prop></item>


This:
https://addons.mozilla.org/en-US/firefox/addon/twist-of-green-196291/

sets the text colour to #ffffff (white)

<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="PersonaSettings" oor:op="fuse"><value>TwistedH.jpg;FF.jpg;#ffffff;#109d01</value></prop></item>


Perhaps an enhancement would be to have a LibreOffice setting that enables over-riding the Persona's colour settings.

I won't change the status of this - but believe NOTABUG would be appropriate.
Comment 5 Isamu Mogi 2014-03-20 12:37:38 UTC
Created attachment 96101 [details]
Comparison with firefox on gnome

I confirmed it on master branch http://cgit.freedesktop.org/libreoffice/core/commit/?id=24da9e2538dc8f80fb6ac6d498992f9093495b22
with openSUSE gnome 13.1
Screenshot of comparison with firefox is attached using persona: https://addons.mozilla.org/firefox/addon/ieenst-menu-text-color .

Bug exists in the code to reflect the colour of the menubar from Persona configuration.

Sorry, this bug is caused by my past commits ( http://cgit.freedesktop.org/libreoffice/core/commit/?id=8eb1fb9eff4d4eea9c0c1c2e8d3b380e227b5d50 ).
I'm now working to fix it.
Comment 6 Commit Notification 2014-03-28 11:30:51 UTC
Isamu Mogi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48d09a74dd0be232bf01e008f970c6c726e8f33a

fdo#68546 Update settings for MenuBarWindow in InitStyleSettings



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-03-28 11:37:29 UTC
Isamu Mogi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46142545dea30fe14e829795ad1acca2cc1a6a7a

fdo#68546 Add menubar's text color of persona to StyleSettings



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-03-28 11:38:52 UTC
Isamu Mogi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26355306ffaae4ec85a0ddaa372d93526781ac6a

fdo#68546 Update style settings before changing layout



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-03-28 11:40:17 UTC
Isamu Mogi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42877b3478074e64d14bf8ffc3b31cb3a2a86d87

fdo#68546 Make menubar's text color of persona the same as Firefox



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Adolfo Jayme 2014-04-03 09:48:47 UTC
*** Bug 73329 has been marked as a duplicate of this bug. ***
Comment 11 Peter Maunder 2014-04-07 14:53:48 UTC
Tested the change with LibreOfficeDev_4.3.0.0.alpha0_Linux_x86_deb running on Ubuntu 12.04 desktop. This has fixed the problem. Thanks very much.